For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cloud And AI Cost Anomaly Details

Get resource level insights into your cloud and AI cost anomalies

Get anomaly cost time-series data

get

Get actual cost time-series data for given anomaly.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

anomalyIdstringRequired
startTimeinteger · int64Optional
endTimeinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/anomaly/v2/drill-down/cost/time-series
GET /gateway/ccm/api/anomaly/v2/drill-down/cost/time-series?accountIdentifier=text&anomalyId=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get anomaly details

get

Get details about the given cloud and AI cost anomaly

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

anomalyIdstringRequired
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/anomaly/v2/drill-down
GET /gateway/ccm/api/anomaly/v2/drill-down?accountIdentifier=text&anomalyId=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get anomaly resource cost time-series data

get

Get actual cost time-series data for given resource.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

anomalyIdstringRequired
resourcestringOptional
startTimeinteger · int64Optional
endTimeinteger · int64Optional
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/anomaly/v2/drill-down/resource/cost/time-series
GET /gateway/ccm/api/anomaly/v2/drill-down/resource/cost/time-series?accountIdentifier=text&anomalyId=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get anomaly resource list

get

Get details about the top contributing resources for the given cloud and AI cost anomaly. Returns either a list of resource details (AnomalyResourceDetails) when drill-down is successful, or a list of anomaly data (AnomalyData) when drill-down results are insufficient or empty. The response type depends on whether the drill-down query returns meaningful results and whether the drill-down cost impact is at least 50% of the total cost impact.

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

anomalyIdstringRequired
Responses
200

Returns either a list of AnomalyResourceDetails (when drill-down is successful) or a list of AnomalyData (when drill-down is insufficient).

application/json
stringOptional

Response containing either List or List based on drill-down results and feature flag configuration

get/anomaly/v2/drill-down/list
GET /gateway/ccm/api/anomaly/v2/drill-down/list?accountIdentifier=text&anomalyId=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
text

Last updated

Was this helpful?